--- title: "Get schema list" slug: "ai-application-service-aitems-schema-list" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-schema-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get schema list Available in Classic and VPC Get the list of all created schemas. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /schemas | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aiservices-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetType` | String | Optional | Dataset type - `user` \| `item` \| `interaction` - `user`: data containing user information (age, gender, etc.) - `item`: data with product-related information (price, release date, category, etc.) - `interaction`: data that captures the history of interactions between users and products | | `offset` | Integer | Optional | Start location of query data - Default: 0 | | `limit` | Integer | Optional | Maximum number of query data - Default: 1000 | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/schemas' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `schemas` | Array | - | Schema information: [schemas](/docs/en/ai-application-service-aitems-schema-list#schemas) | | `offset` | Integer | - | Start location of query data | | `limit` | Integer | - | Maximum number of query data | #### `schemas` The following describes `schemas`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetType` | String | - | Dataset type - `user` \| `item` \| `interaction` - `user`: data containing user information (age, gender, etc.) - `item`: data with product-related information (price, release date, category, etc.) - `interaction`: data that captures the history of interactions between users and products | | `name` | String | - | Schema name | | `createdDate` | String | - | Schema creation date and time | | `actionName` | String | - | Sub Account permissions for the queried item | | `permission` | String | - | Sub Account permission allowance | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "schemas": [ { "datasetType": "interaction", "name": "interaction_schema", "createdDate": "2024-07-30T09:08:09.221", "actionName": "View/getSchemaDetail", "permission": "Allow" }, { "datasetType": "user", "name": "user_schema", "createdDate": "2024-07-30T08:57:37.393", "actionName": "View/getSchemaDetail", "permission": "Allow" }, { "datasetType": "item", "name": "item_schema", "createdDate": "2024-07-30T08:56:29.040", "actionName": "View/getSchemaDetail", "permission": "Allow" } ], "offset": 0, "limit": 1000 } ```